.open-api-schema {
  margin-bottom: 60px;
  .toggle-button {
    cursor: pointer;
    display: inline-block;
    font-size: 12px;
    line-height: 1;
    opacity: 1;
    background-color: transparent;
    font-weight: 500;
    border: none;
    color: var(--neutral-fg-2);

    &:hover {
      color: var(--primary-fg);
    }
  }

  .property-table-row {
    button {
      cursor: pointer;
    }
    &:not(:first-of-type) {
      padding-top: var(--s4);
    }
    &:not(:last-of-type) {
      padding-bottom: var(--s4);
      border-bottom: 1px solid var(--neutral-outline-1);
    }
  }

  .indented-div {
    margin-top: var(--s2);
    border-radius: var(--radius);
    border: 1px solid var(--neutral-outline-1);
  }

  .indented-div .property-table-row {
    padding: var(--s3) var(--s4);
  }

  .property-row {
    display: flex;
    align-items: center;
    gap: var(--s2);
    flex-wrap: wrap;

    > p {
      font-size: 13px;
      font-weight: 700;
      margin: 0;
      font-family:
        JetBrains Mono,
        monospace;
    }

    > code {
      margin: 0;
      line-height: 20px;
    }
  }

  .format-span {
    display: inline-block;
    font-size: 12px;
    color: var(--neutral-fg-2);
    margin: var(--s1);
    font-weight: 500;

    &:not(:last-of-type) {
      &:after {
        margin-left: var(--s1);
        content: " | ";
      }
    }
  }

  .values {
    display: inline-block;
    font-size: 12px;
    color: var(--neutral-fg-2);
    font-weight: 500;
  }

  .description p {
    font-size: 14px;
    color: var(--neutral-fg-2);
    margin-top: 0;
    margin-bottom: 0;
  }

  .description {
    margin-top: var(--s1);
  }

  .inline-tab-container {
    border-bottom: 1px solid var(--neutral-outline-1);
    padding: var(--s2);
    margin-bottom: 0;
    display: flex;
    flex-wrap: wrap;
    gap: var(--s2);
    position: relative;

    &.inline-tab-container--top-level {
      margin-bottom: var(--s4);
      padding: 0;
      border: 0;
    }
  }

  .inline-tab-container .select {
    display: flex;
    gap: var(--s2);
    justify-content: space-between;
    width: 100%;
    background-color: var(--bg-0);
    color: var(--neutral-fg-1);
    border: none;
    border-radius: var(--s1-5);
    padding: var(--s1-5) var(--s3);
    font-weight: 500;
    box-shadow: var(--button-box-shadow);

    &:hover {
      background-color: var(--bg-2);
      cursor: pointer;
    }

    span {
      display: flex;
      align-items: center;
      gap: var(--s1);
      color: var(--neutral-fg-2);
      fill: var(--neutral-fg-2);
      font-size: 13px;
      font-weight: 500;
    }
  }

  .inline-tab-container .select-dropdown {
    position: absolute;
    top: 42px;
    left: 8px;
    right: 8px;
    background-color: var(--bg-0);
    color: var(--neutral-fg-1);
    border: 1px solid var(--neutral-outline-1);
    border-radius: var(--s1-5);
    font-weight: 500;
    box-shadow: var(--dropdown-box-shadow);
    z-index: 1;
    display: flex;
    flex-direction: column;

    .select-dropdown-header {
      border-bottom: 1px solid var(--neutral-outline-1);

      svg {
        top: 10px;
        left: var(--s3);
        fill: var(--neutral-fg-2);
        position: absolute;
      }

      input {
        background-color: transparent;
        color: var(--neutral-fg-1);
        border: none;
        line-height: 20px;
        font-size: 14px;
        width: 100%;
        padding: var(--s2) var(--s3) var(--s2) 36px;
        &:focus {
          outline: none;
          border: none;
        }
      }
    }

    .select-dropdown-content {
      display: flex;
      flex-direction: column;
      padding: var(--s1) 0;
      max-height: 192px;
      overflow-y: scroll;

      button {
        color: var(--neutral-fg-1);
        text-align: left;
        background-color: transparent;
        border: none;
        padding: var(--s2) var(--s3);
        cursor: pointer;
        font-size: 14px;
        font-weight: 500;

        &:hover {
          background-color: var(--bg-2);
        }

        &:focus {
          background-color: var(--bg-2);
          outline: none;
        }
      }

      span {
        display: none;
        font-size: 14px;
        font-weight: 500;
        color: var(--neutral-fg-2);
        text-align: left;
        padding: var(--s2) var(--s3);
        cursor: pointer;

        &:first-child {
          display: block;
        }
      }
    }
  }

  .inline-tab-option {
    font-size: 12px;
    padding: 2px var(--s2);
    border: 1px solid var(--neutral-outline-1);
    border-radius: 50px;
    font-weight: 500;
    cursor: pointer;
    text-transform: capitalize;
    background-color: var(--tan-bg);
    color: var(--neutral-fg-2);

    &:hover {
      background: var(--color-background-secondary-button--hover);
    }

    &.active {
      opacity: 1;
      background-color: var(--blue-badge-bg);
      border-color: var(--primary-badge-outline);
      color: var(--primary-fg);
    }
  }

  .clickable-expand {
    border-radius: 50px;
    padding: 2px var(--s2);
    font-weight: 500;
    border: 1px solid var(--neutral-outline-1);
    font-size: 12px;
    color: var(--neutral-fg-2);
    font-weight: 500;
    background-color: var(--tan-bg);
    margin-top: var(--s1);

    &:hover {
      background: var(--color-background-secondary-button--hover);
    }
  }
}
